'Nome       : DocMat.sql
'Tipo       : SQL
'Data       : 2004/08/24
'Versao     : 1.0
'Descricao  : Documentos por matricula

'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'- Versao : 1.0   2003/??/?? --------------------------------------------------
'Versao base


'==============================================================================
#DEF - Definicao global do documento
'==============================================================================
Caracteres invalidos             [CarInv]=#
Subtotalizadores                 [SbtNiv]=2
##


'==============================================================================
#ESP - Campos especificos
'==============================================================================
##


'==============================================================================
#SQL - Comandos SQL
'==============================================================================
Base de dados           [BD]=EmpFic$("EMP","Cemp,Emp_Dat.mdb")

Dados a listar [Cmd]=DocMatLim=+
+SELECT * FROM EncMst +
+WHERE [Tdoc$] IN('{Opc_Tdoc}') +
+AND [Mat$] BETWEEN '{Opc_Div.Ini}' AND '{Opc_Div.Fim}' +
+AND [CtEnt$] BETWEEN '{Opc_Ct.Ini}' AND '{Opc_Ct.Fim}' +
+AND Vend BETWEEN {Opc_Vend.Ini} AND {Opc_Vend.Fim} +
+AND Dtl BETWEEN {Opc_Dtl.Ini} AND {Opc_Dtl.Fim} +
+ORDER BY [Mat$], [Ndoc$]

Dados a listar [Cmd]=DocMatIgu=+
+SELECT * FROM EncMst +
+WHERE [Tdoc$] IN('{Opc_Tdoc}') +
+AND [Mat$] = '{Opc_Div}' +
+AND [CtEnt$] BETWEEN '{Opc_Ct.Ini}' AND '{Opc_Ct.Fim}' +
+AND Vend BETWEEN {Opc_Vend.Ini} AND {Opc_Vend.Fim} +
+AND Dtl BETWEEN {Opc_Dtl.Ini} AND {Opc_Dtl.Fim} +
+ORDER BY [Mat$], [Ndoc$]

##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=DocMatLim,Documentos por Matrcula (LIM)

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=DocMat_Cab
Listar linhas               [FxLIN]=DocMat_Lin
Listar fim                  [FxFIM]=DocMat_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=DocMatLim
Subtotalizadores           [SQLSbt]=Mat$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=DocMatIgu,Documentos da Matrcula (IGU)

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=DocMat_Cab
Listar linhas               [FxLIN]=DocMat_Lin
Listar fim                  [FxFIM]=DocMat_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=DocMatIgu
Subtotalizadores           [SQLSbt]=Mat$
##


'==============================================================================
#VAR - Variaveis
'==============================================================================
Tipo     = MemTxt$(1)
Pag      = Doc_CntPag
Tit080   = TxTit$("TT=10CPI, LD, PT=40C",MemTxt$(1))
Tit132   = TxTit$("TT=16CPI, LD, PT=66C",MemTxt$(1))
DataExt  = FrmVal$(Sig_DtHoje,45,0)


'Campos
ctCod    = SqlCmp$("CtEnt$")
ctNom    = SqlCmp$("CtEnt$")

DocIde   = SqlCmp$("Tdoc$")+" "+FrmNdo$("46",SqlCmp$("Tdoc$"),SqlCmp$("Ndoc$"))
DocDt    = FrmDt$("",SqlCmp("Dtl"))
DocVnd   = FrmNum$( 3.0,SqlCmp("Vend"))
Vnd      = FrmNum$( 3.0,SqlCmp("Vend"))

vDocV1   = FrmNum$( 10.2,SqlCmp("ValTot"))
vDocV2   = FrmNum$( 10.2, val(TxIde$(SqlCmp$("EncMst.Opc$"),"TotMoeAlt")))

tDocN    = FrmNum$(  5.0,TotCnt("vDocV1",0))
tDocV1   = FrmNum$( 10.2,total(vDocV1,0))
tDocV2   = FrmNum$( 10.2,total(vDocV2,0))

sDocN    = FrmNum$(  5.0,TotCnt("vDocV1",1))
sDocV1   = FrmNum$( 10.2,total(vDocV1,1))
sDocV2   = FrmNum$( 10.2,total(vDocV2,1))
##


'==============================================================================
#PGM - Programa/Funcoes
'==============================================================================
'---------------------------------------------------------->'Comentario (61)
'------------------------------------------------->'Comentario (52)
'------------------------------------->'Comentario (40)

SUB FxIni 'funcao de inicializacao
end sub


SUB FxFim 'funcao de finalizacao
end sub


SUB Lst_AJT 'ajuste
end sub


'- Documentos por matricula ----------------------------------------------------
SUB DocMat_Cab 'cabecalho
FxDiv LstIde,10CPI,0
'?@Tit080                                                                        #
print TxTit$("TT=10CPI, LD, PT=40C, TL=10CPI","Documentos por Matricula")
?Data: @DataExt                                                   Folha No: @Pag#
?================================================================================
?   Documento            Data      Vend           Valor 1              Valor 2  #
?================================================================================
end sub


SUB DocMat_LinTit1 'titulo 1 - matricula
tmp=CntLin("MIN",5)                              'minimo de linhas
tmp=CntLin("INC",1)                              'contar linha

'res  = CtaContaLer(ct$)                          'ler conta
'idc$ = ct$ + " - " + Cta_Mst_Nome$               'identificacao do grupo

mat$  = SbtInf$("ACT",1)                         'matricula
print tab(5) "Matricula: " mat$                  'identificar grupo
end sub


SUB DocMat_Lin 'linha de documento
?@DocIde              @DocDt        @DocVnd@vDocV1               @vDocV2        #
end sub


SUB DocMat_LinSbt1 'subtotal 1 - matricula
?          Total da matricula: @sDocN      @sDocV1               @sDocV2        #
print

tmp=CntLin("INC",1)                              'contar linhas
x=TotLpz(1)                                      'limpar totais
end sub


Sub DocMat_Fim
?================================================================================
?                      Totais: @tDocN      @tDocV1               @tDocV2        #
?================================================================================
FxDiv LstPer,SP
end sub

##


